MNDeployment # 3228 (Operational): NCEI - National Centers for Environmental Information

Story # 6809 (Closed): NODC: Design, code and component test a new MN implementation

Determine how to map objects to DataONE object formats

2015-04-01 21:21 - Dave Vieglais

Status: Closed Start date: 2015-04-01

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Data and metadata object types need to be mapped to DataONE object formats.

It is not clear where this information might be held.

History

#1 - 2015-04-01 23:09 - Rob Nahf

the ftp site contains an 'about' directory for every version.  These directories contain (according to NODC):

"files created by NODC staff, including 'negotiable' information between NODC staff and the data provider."  Many times the about directory contains

a sci-meta document that's FGDC format, but not always clearly labeled as such.

It would be useful to be able to algorithmically identify which of these files could be assigned a METADATA data format.

#2 - 2016-03-26 03:52 - Dave Vieglais

- Status changed from New to In Progress

- Assignee set to Dave Vieglais

- % Done changed from 0 to 30

file name extension works fairly well. Full implementation requires introspection, which can be done but will take a long time.

#3 - 2018-04-05 16:51 - Amy Forrester

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
